Bug 112482 - crash when upgrade: TypeError: list objects are unhashable
crash when upgrade: TypeError: list objects are unhashable
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-20 13:52 EST by Xander D Harkness
Modified: 2016-06-07 18:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 17:50:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xander D Harkness 2003-12-20 13:52:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.6a)
Gecko/20031018

Description of problem:
I want to upgrade from RHL9 to RHEL3.  I have done this on a number of
systems using up2date.

I set version override using up2date --nox --configure

version override is set to 3ES

I then run up2date and it will download the required packages.

I then need to force an install of db4 and db4-utils following which
up2date normally allows a full update to RHEL3.

On this occasion with version override set up2date crashes with the
following error:
up2date --nox -uf
 
Fetching package list for channel: rhel-i386-as-3...
########################################
 
Fetching Obsoletes list for channel: rhel-i386-as-3...
########################################
 
Testing package set / solving RPM inter-dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 993, in ?
    main()
  File "/usr/sbin/up2date", line 720, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 893, in batchRun
    batch.run()
  File "up2dateBatch.py", line 64, in run
  File "up2dateBatch.py", line 137, in __dryRun
  File "up2date.py", line 414, in dryRun
  File "depSolver.py", line 208, in setup
  File "depSolver.py", line 239, in __add
  File "headers.py", line 118, in __getitem__
  File "headers.py", line 95, in has_key
TypeError: list objects are unhashable



Version-Release number of selected component (if applicable):
up2date-3.1.23.2-1

How reproducible:
Always

Steps to Reproduce:
1.change version override to 3ES
2.run up2date --nox -uf
3.Crash occurs
    

Actual Results:  I get the error listed in description

Expected Results:  up2date to start downloading packages, or at least
an error rather than a crash

Additional info:

Note You need to log in before you can comment on or make changes to this bug.